html, body {
  margin: 0;
  padding: 0;
}

ul, ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

#alarm-name {
  margin-bottom: 1rem;
}

ul.compact {
  padding: 1rem 1.5rem;
  font-size: 1.5rem;
}

ul.compact li {
  position: relative;
  min-height: 5rem;
  padding-top: 1rem;
  border-top: 0.1rem solid #232626;
}

ul.compact li:first-child {
  border: none;
}

ul.compact li:last-child {
  margin-bottom: 1rem;
}

ul.compact li label {
  padding: 0 1.5rem 0.5rem;
  color: #9a9898;
  font-size: 1.6rem;
  display: block;
}

ul.compact li label:active {
  background-color: transparent;
}

#alarm-new {
  position: absolute;
  top: 0;
  right: 0;

  width: 3rem;
  height: 3rem;
  border: none;
  margin-top: 2.1rem;
  margin-right: 1.5rem;

  background: url(images/add_alarm.png) no-repeat center / 3rem;
  background-size: 100% auto;
}

#edit-alarm {
  overflow-x: hidden;
  height: calc(100% - 7rem);

  pointer-events: auto;
}

#alarm-volume-input {
  width: 100%;
  margin: 1rem 0 1.5rem;
}

.new #delete-menu {
  display: none;
}

section[role="region"] > header:first-child h1.new-alarm-title {
  display: none;
}
section[role="region"].new > header:first-child h1.new-alarm-title { display: block; }
section[role="region"].new > header:first-child h1.edit-alarm-title { display: none; }

/* ----------- Alarm List ---------- */
#alarms {
  position: absolute;
  bottom: 0;

  width: 100%;
  height: auto;
  max-height: calc(100% - 22rem);

  background-color: transparent;
  background-image: none;
  overflow-y: auto;
}

ul#alarms li.alarm-cell:before {
  content: "";
  position: absolute;
  left: 1.5rem;
  width: calc(100% - 3rem);
  height: .1rem;
  background-color: rgba(115, 125, 128, 0.2);
}

ul#alarms li.alarm-cell { /* 6rem, including a 0.13rem border */
  position: relative;
  height: 6rem;
}

ul#alarms li.alarm-cell > a:active {
  background-color: rgba(52,140,158, .6);
}

ul#alarms li.alarm-cell > a:active {
  color: #cfe2e5;
}

ul#alarms li.alarm-cell label:active {
  background-color: transparent;
}

#alarms .alarmEnable {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;

  width: calc(8.13rem);
  height: 100%;
}

#alarms .alarmEnable input[type="checkbox"] + span {
  position: absolute;
  top: calc(50% - 1.7rem);
  right: 1.5rem;

  width: 3.4rem;
  height: 3.4rem;
  margin: 0;

  background: url(images/alarm_off.png) no-repeat center top / 3.4rem;
}
#alarms .alarmEnable input[type="checkbox"]:checked + span {
  border-color: #00acce;
  background: url(images/alarm_on.png) no-repeat center top / 3.4rem;
}

#alarms .alarmEnable > input {
  display: none;
}

#alarms a.alarm-item {
  position: relative;
  padding: 0;
  height: 100%;
  display: block;
  text-decoration: none;
  font: lighter 1.4rem sans-serif;
  color: #737D80;
}

#alarms a.alarm-item:active {
  background-color: transparent;
}

a.alarm-item > span {
  pointer-events: none;
}

a.alarm-item > .time {
  position: absolute;
  top: 1.0rem;
  left: 1.7rem;
  font-size: 2.8rem;
  font-family: 'Fira Sans', sans-serif;
  font-weight: lighter;
  color: #cfe2e5;
}

a.alarm-item small {
  font-size: 1.4rem;
  font-weight: normal;
  color: #5C6466;
}

a.alarm-item > .label {
  position: absolute;
  left: 12.5rem;
  right: 4.5rem;
  top: 2.35rem;
  font-family: 'Fira Sans', sans-serif;
  font-weight: normal;
  color: #737D80;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

a.alarm-item > .repeat {
  position: absolute;
  top: 4.2rem;
  left: 1.7rem;
  font-family: 'Fira Sans', sans-serif;
  font-weight: normal;
  text-overflow: ellipsis;
  color: #A1B0B2;
}

a.alarm-item.with-repeat > .time {
  top: 0.3rem;
}

a.alarm-item.with-repeat > .label {
  top: 1.65rem;
}

a.alarm-item.with-repeat > .repeat {
  top: 3.6rem;
}

#digital-clock.visible ~ #alarms.count4 li:first-child {
  background: none;
}


/**
 * These range input values were taken from the System App and
 * retooled for the dark theme currently used by Clock. When
 * changing to a light theme in the UI overhaul, it may make
 * sense to pull this directly from System again.
 */

input[type=range] {
  -moz-appearance: none;
  border: none;
  background: none;
}

input[type=range]:-moz-focusring {
  outline: none;
}

ul li > label input[type="range"] {
  position: relative;
  top: calc(50% - 1.5rem);
  left: 5rem;
  right: 7rem;
  height: 3rem;
  width: calc(100% - 15rem);
}

input[type=range]::-moz-range-track {
  height: 0.1rem;
  background-color: #7e7e7e;
}

input[type=range]::-moz-range-progress {
  height: 0.3rem;
  background-color: #01c5ed;
}

input[type=range]::-moz-range-thumb {
  width: 2.8rem;
  height: 2.8rem;
  border: solid 0.1rem transparent;
  border-radius: 3rem;
  transition: border 0.15s ease;
  -moz-box-sizing: border-box;
  background: #fff no-repeat 50% 50%;
  background-size: 2.8rem 2.8rem;
}

input[type=range]:active::-moz-range-thumb {
  border: solid 0.4rem #01c5ed;
}

#alarm-delete {
  border-radius: 2rem;
  background-color: #e51e1e;
  text-align: center;
}
